<?php


namespace Service\ChartView;

class ChartViewFactory
{
	const TYPE_ID_AREA = "59652c388cde464323c18d7b";
	const TYPE_ID_BAR = "596507668cde464323c18d7a";
	const TYPE_ID_BARLINE = "5898c8f3ca6bc3c1f61960d9";
	const TYPE_ID_COLUMN = "579106a111e8f41bb00caff6";
	const TYPE_ID_CROSSTAB = "570ea585c0cef5c05f6f5dfd";
	const TYPE_ID_CARD = "57b368d4adda8e5b20295f6c";
	const TYPE_ID_CARD_DETAIL = "581b72bde237895b2ec91916";
	const TYPE_ID_DONUT = "5853f6aefd12fc7a7066a18a";
	const TYPE_ID_DONUT_PIVOT = "58762a1bca6bc3c1f61960bf";
	const TYPE_ID_GAUGE = "57ab6a47574698ae9522f97e";
	const TYPE_ID_GRID = "56200912f038efbfa1f75105";
	const TYPE_ID_LINE = "585acc747729e554c8693172";
	const TYPE_ID_LIST_CARD = "58a5e65c3a34b43690ebda1d";
	const TYPE_ID_PERIODS_LIST = "574f230498ba51386fab2a8a";
	const TYPE_ID_PERIODS_LIST_COMPARE = "574f230498ba51386fab2a81";
	const TYPE_ID_PIE_PIVOT = "58762a38ca6bc3c1f61960c0";
	const TYPE_ID_PIE = "579106aa11e8f41bb00caff7";
	const TYPE_ID_PROGRESS_DETAIL = "58a6378a3a34b43690ebda2e";
	
    public static function factory($widget):ChartViewInterface {
		$indicatorType = new ChartTypeNotFound();
		switch($widget["viewTypeId"]){
			case self::TYPE_ID_AREA:
				$indicatorType = new Area($widget);
			break;
			case self::TYPE_ID_BAR:
				$indicatorType = new Bar($widget);
			break;
			case self::TYPE_ID_BARLINE:
				$indicatorType = new BarLine($widget);
			break;
			case self::TYPE_ID_COLUMN:
				$indicatorType = new Column($widget);
			break;
			case self::TYPE_ID_CROSSTAB:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_CARD:
				$indicatorType = new Card($widget);
			break;
			case self::TYPE_ID_CARD_DETAIL:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_DONUT:
				$indicatorType = new Donut($widget);
			break;
			case self::TYPE_ID_DONUT_PIVOT:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_GAUGE:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_GRID:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_LINE:
				$indicatorType = new Line($widget);
			break;
			case self::TYPE_ID_LIST_CARD:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_PERIODS_LIST:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_PERIODS_LIST_COMPARE:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_PIE_PIVOT:
				$indicatorType = new ChartTypeNotFound();
			break;
			case self::TYPE_ID_PIE:
				$indicatorType = new Pie($widget);
			break;
			case self::TYPE_ID_PROGRESS_DETAIL:
				$indicatorType = new ChartTypeNotFound();
			break;
		}
		return $indicatorType;
	}
}