<?php

namespace Service;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Zmart\DataSource\ZmartFilterCriteria;

class StructureManagerialService
{

    protected $dataSourceTypeName = 'structureType';

    public function __construct(Manager $mongoManager)
    {
        $this->mongoManager = $mongoManager;
    }

    public function getStructType($params)
    {
        $filterCriteria = \Util\Utilities::parseParamNextToZmartFilterCriteria($this->dataSourceTypeName, $params);
        $response = $this->mongoManager->findBy($filterCriteria)->getRows();

        return $response;
    }

    public function getConnection($usedIds, $numberOfExpectedLines)
    {
        $filterCriteria = new FilterCriteria('connection', array(), null, $numberOfExpectedLines);
        $filterCriteria->addCondition('_id', FilterCriteria::IN, $usedIds);
        return $this->mongoManager->findBy($filterCriteria)->getRows();
    }
}
